Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: photofilmstrip  (gelezen 370 keer)

Offline wim1948

  • Lid
  • Steunpunt: Nee
photofilmstrip
« Gepost op: 2020/05/15, 11:06:28 »
Sinds de upgrade naar Ub 20.04 will het programma Photofilmstrip niet meer starten. Opnieuw geïnstalleerd en de versie 3.7.2.-1 staat gewoon in Synaptic. Ook het pictogram staat in de starter , maar doet verder niets.
Wat kan ik hier aan doen?
Wim 

Offline maasnet

  • Lid
    • m-vd-hoeven
  • Steunpunt: Ja
Re: photofilmstrip
« Reactie #1 Gepost op: 2020/05/15, 11:21:54 »
Hier hetzelfde probleem.

Opstart in de terminal krijg ik dit te zien:

maasnet@Intel:~$ photofilmstrip
Traceback (most recent call last):
  File "/usr/bin/photofilmstrip", line 8, in <module>
    main()
  File "/usr/lib/python3/dist-packages/photofilmstrip/GUI.py", line 46, in main
    guiApp.Start()
  File "/usr/lib/python3/dist-packages/photofilmstrip/AppMixin.py", line 41, in Start
    self.InitI18N()
  File "/usr/lib/python3/dist-packages/photofilmstrip/AppMixin.py", line 31, in InitI18N
    ActionI18N().Execute()
  File "/usr/lib/python3/dist-packages/photofilmstrip/action/ActionI18N.py", line 43, in Execute
    lang.install(True)
  File "/usr/lib/python3.8/gettext.py", line 352, in install
    for name in allowed & set(names):
TypeError: 'bool' object is not iterable

Ik zal een melding maken en dan afwachten.
Alleen samen krijgen we corona onder controle

OS: Ubuntu Gnome 18.04/Xubuntu 18.04; Windows 10 (dualboot) RPI: Ubuntu Mate; Asus 1005PE: Linux Lite 3.8
***Steunpunt***  voor andere steunpunten: https://kaart.ubuntu-nl.org/

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #2 Gepost op: 2020/05/15, 14:09:09 »
Even getest met het .deb pakket van Sourceforge (Uggh!): identiek hetzelfde probleem. Maar ik zie nu dat een actief iemand ook daar al een melding heeft gedaan  ^-^

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Ja
Re: photofilmstrip
« Reactie #3 Gepost op: 2020/05/15, 16:49:36 »
Mogelijk een versieprobleem? Op python.org is het volgende te lezen:
Citaat
Mac and Linux distributions may include an outdated version of Python (Python 2), but you should install an updated one (Python 3).

Ik heb de standaard Python op mijn systeem (werk er niet mee) en dat is inderdaad een 2.x.
paul@graveyron:~$ python
Python 2.7.17 (default, Apr 15 2020, 17:20:14)

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #4 Gepost op: 2020/05/15, 19:50:11 »
Je hebt zowel python, en dit is Python 2, als python3 op je systeem. Photofilmstrip draait op python3, en daar blijkt iets veranderd, zodat het reeds twee jaar niet meer bijgewerkte fotofilmstrip nu gebroken is. Mocht dit programma ook als Snap, Flatpak of Appimage bestaan, dan heb je dit probleem niet - m.a.w., die nieuwe softwareformaten zo wel ook hun voordelen.

Offline wim1948

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #5 Gepost op: 2020/05/15, 20:07:10 »
Dit is mijnPython.

wim@PC-kamer:~$ python
Python 2.7.18rc1 (default, Apr  7 2020, 12:05:55)
[GCC 9.3.0] on linux2

wim

Offline wim1948

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #6 Gepost op: 2020/05/16, 19:12:56 »

Ik vond op internet deze webpagina met : Debian Bug report logs - #955295
photofilmstrip: incompatible with python 3.8?

 "I'll trigger a new bugfix release..." ?
Daar moeten we dan op wachten.
wim


Message #10 received at 955295@bugs.debian.org (full text, mbox, reply):
From: PhotoFilmStrip <info@photofilmstrip.org>
To: Clint Adams <clint@debian.org>, 955295@bugs.debian.org
Subject: Re: Bug#955295: photofilmstrip: incompatible with python 3.8?
Date: Sat, 04 Apr 2020 05:51:59 +0000

Hi,

this is already fixed in master branch, see 
https://github.com/PhotoFilmStrip/PFS/issues/68.
I'll trigger a new bugfix release...

Thanks,
Jens

Offline maasnet

  • Lid
    • m-vd-hoeven
  • Steunpunt: Ja
Re: photofilmstrip
« Reactie #7 Gepost op: 2020/05/16, 19:38:12 »

Ik vond op internet deze webpagina met : Debian Bug report logs - #955295
photofilmstrip: incompatible with python 3.8?

 "I'll trigger a new bugfix release..." ?
Daar moeten we dan op wachten.
wim


Message #10 received at 955295@bugs.debian.org (full text, mbox, reply):
From: PhotoFilmStrip <info@photofilmstrip.org>
To: Clint Adams <clint@debian.org>, 955295@bugs.debian.org
Subject: Re: Bug#955295: photofilmstrip: incompatible with python 3.8?
Date: Sat, 04 Apr 2020 05:51:59 +0000

Hi,

this is already fixed in master branch, see 
https://github.com/PhotoFilmStrip/PFS/issues/68.
I'll trigger a new bugfix release...

Thanks,
Jens

Dezelfde foutmeldingen als in reactie #1
Alleen samen krijgen we corona onder controle

OS: Ubuntu Gnome 18.04/Xubuntu 18.04; Windows 10 (dualboot) RPI: Ubuntu Mate; Asus 1005PE: Linux Lite 3.8
***Steunpunt***  voor andere steunpunten: https://kaart.ubuntu-nl.org/

Offline maasnet

  • Lid
    • m-vd-hoeven
  • Steunpunt: Ja
Re: photofilmstrip
« Reactie #8 Gepost op: 2020/05/17, 22:11:38 »
Ik heb van de ontwikkelaar een reactie gekregen op mijn bugmelding:

This error is already fixed and should be updated in the ubuntu/debian packages very soon. As long you only can fix it yourself by editing the file /usr/lib/python3/dist-packages/photofilmstrip/AppMixin.py (as root) and change the line (31)
lang.install(True)
to
lang.install()

Je kan het eventueel dus zelf aanpassen.

Morgen even proberen.
Alleen samen krijgen we corona onder controle

OS: Ubuntu Gnome 18.04/Xubuntu 18.04; Windows 10 (dualboot) RPI: Ubuntu Mate; Asus 1005PE: Linux Lite 3.8
***Steunpunt***  voor andere steunpunten: https://kaart.ubuntu-nl.org/

Offline wim1948

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #9 Gepost op: 2020/05/18, 08:28:26 »
Bij mij  is lijn31 in AppMixim.py leeg. Er staat verder ook nergens iets over lang.install.

Moet je die dan zelf invullen?
Wim

Offline maasnet

  • Lid
    • m-vd-hoeven
  • Steunpunt: Ja
Re: photofilmstrip
« Reactie #10 Gepost op: 2020/05/18, 09:37:56 »
Geeft inderdaad niet de gewenste oplossing.

Ik ben aan het zoeken gegaan en vervolgens lang.install gevonden in /usr/lib/python3/dist-packages/photofilmstrip/action/Action18N.py

Vervolgens deze gewijzigd in lang.install() en het programma start nu wel op.

Ik stuur de ontwikkelaar wel weer een mailtje.

Aanvulling:

Ik heb een "oud" project ingelezen en het lijkt erop dat alles nu goed werkt.
« Laatst bewerkt op: 2020/05/18, 09:49:58 door maasnet »
Alleen samen krijgen we corona onder controle

OS: Ubuntu Gnome 18.04/Xubuntu 18.04; Windows 10 (dualboot) RPI: Ubuntu Mate; Asus 1005PE: Linux Lite 3.8
***Steunpunt***  voor andere steunpunten: https://kaart.ubuntu-nl.org/

Offline wim1948

  • Lid
  • Steunpunt: Nee
Re: photofilmstrip
« Reactie #11 Gepost op: 2020/05/18, 10:50:17 »
Hier werkt het ook weer.

bedankt.
wim